﻿
function loadTrees() {
    $.mockjax({
      url: "http://localhost/igTreePOC/Services/treeService*",
      responseText: "{\"d\":[{\"DisplayString\":\"Wheat\",\"TreeNodeString\":\"3?1001-0=\",\"TreeNodeList\":[]},{\"DisplayString\":\"Barley\",\"TreeNodeString\":\"3?1002-0=\",\"TreeNodeList\":[]},{\"DisplayString\":\"Beans\",\"TreeNodeString\":\"3?1003-0=\",\"TreeNodeList\":[]}]}"
    });

    loadTreeByUrl();

    loadTreeByDataSource();

    loadTreeByBoth();
}

function loadTreeByDataSource() {
    var treeServiceString = "http://localhost/igTreePOC/Services/treeService?$format=json&$callback=?";

    var json = new $.ig.JSONDataSource({ dataSource: treeServiceString, responseDataKey: "d" });

    $("#treeTargetD").igTree({
        //dataSourceUrl: treeServiceString,
        dataSource: json,
        dataSourceType: "json",
        //responseDataKey: "d",
        responseDataType: "json",
        initialExpandDepth: 1,
        loadOnDemand: true,
        width: 500,
        bindings: {
            textKey: 'DisplayString',
            valueKey: 'TreeNodeString',
            primaryKey: 'TreeNodeString',
            childDataProperty: 'TreeNodeList',
            bindings: {
                textKey: 'DisplayString',
                valueKey: 'TreeNodeString',
                primaryKey: 'TreeNodeString',
                childDataProperty: 'TreeNodeList'
            }
        }
    });
}

function loadTreeByUrl() {
    var treeServiceString = "http://localhost/igTreePOC/Services/treeService?$format=json&$callback=?";

    //var json = new $.ig.JSONDataSource({ dataSource: treeServiceString, responseDataKey: "d" });

    $("#treeTargetU").igTree({
        dataSourceUrl: treeServiceString,
        //dataSource: json,
        dataSourceType: "json",
        responseDataKey: "d",
        responseDataType: "json",
        initialExpandDepth: 1,
        loadOnDemand: true,
        width: 500,
        bindings: {
            textKey: 'DisplayString',
            valueKey: 'TreeNodeString',
            primaryKey: 'TreeNodeString',
            childDataProperty: 'TreeNodeList',
            bindings: {
                textKey: 'DisplayString',
                valueKey: 'TreeNodeString',
                primaryKey: 'TreeNodeString',
                childDataProperty: 'TreeNodeList'
            }
        }
    });
}

function loadTreeByBoth() {
    var treeServiceString = "http://localhost/igTreePOC/Services/treeService?$format=json&$callback=?";

    var json = new $.ig.JSONDataSource({ dataSource: treeServiceString, responseDataKey: "d" });

    $("#treeTargetBoth").igTree({
        dataSourceUrl: treeServiceString,
        dataSource: json,
        dataSourceType: "json",
        responseDataKey: "d",
        responseDataType: "json",
        initialExpandDepth: 1,
        loadOnDemand: true,
        width: 500,
        bindings: {
            textKey: 'DisplayString',
            valueKey: 'TreeNodeString',
            primaryKey: 'TreeNodeString',
            childDataProperty: 'TreeNodeList',
            bindings: {
                textKey: 'DisplayString',
                valueKey: 'TreeNodeString',
                primaryKey: 'TreeNodeString',
                childDataProperty: 'TreeNodeList'
            }
        }
    });
}
